[Python-Dev] Proposing PEP 345 : Metadata for Python Software Packages 1.2

Stephen J. Turnbull stephen at xemacs.org
Mon Dec 28 18:16:22 CET 2009

Antoine Pitrou writes:
 > >  > How can they know that they depend on "a quirk in behaviour of an older
 > >  > version" if a newer version hasn't been released? This sounds bogus.
 > > 
 > > Of course a newer version has been released.  Who said it hasn't been?
 > > Eg, the discussion of <=2.5.  Hasn't 2.6 been released?  Or am I
 > > hallucinating?
 > So, what you are saying is that software X specifies that it is
 > compatible with "2.5 or later" as long as 2.6 hasn't been released, but
 > when 2.6 is released it switches to "2.5 but not 2.6"?

No, I'm not.

Let's drop it, as Tarek seems disposed to dismiss the bikeshedding
(including this subthread) anyway, which is TheRightThing.

More information about the Python-Dev mailing list